# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'static_post/version'

Gem::Specification.new do |spec|
  spec.name          = 'static_post'
  spec.version       = StaticPost::VERSION
  spec.authors       = ['Brennan Spellacy']
  spec.email         = ['brennanspellacy@gmail.com']
  spec.summary       = %q{ActiveRecord like interface to access static markup files.}
  spec.homepage      = 'https://github.com/bspellio/static_post'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'activemodel'
  spec.add_runtime_dependency 'redcarpet'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'bundler', '~> 1.5'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'rubocop'
end
